---
import BaseLayout from '../layouts/BaseLayout.astro'
import Schedule from '../components/Schedule.astro'

let title="Programa"

let configuration = (await (await fetch(`https://dapi.escuelaideo.edu.es/enap/items/web_configuration`)).json()).data[0];

let congressEvaluation = {
    url: configuration.congress_evaluation_url,
    display: configuration.display_congress_evaluation
}
---
<BaseLayout title={title}>
<div class="container mx-auto pt-16">
    <h2 class="text-4xl uppercase text-center mb-6">Programa del congreso</h2>

    <div class="text-center py-16">
        <a class="p-4 bg-blue-500 text-white hover:bg-blue-600" href="https://ensenaraaprender.es/pdf/programa_enap_2021.pdf">Programa del congreso en PDF</a>
    </div>

    <div class="bg-gray-50 p-10 max-w-2xl mx-auto shadow-xl mb-16">
    { congressEvaluation.display ? (
    <div class="text-center py-8 mb-8">
        <a class="p-4 bg-enap2 text-white hover:bg-green-600 cursor-pointer text-xl" target="_blank" href={congressEvaluation.url}>Evaluación del Congreso ENAP</a>
    </div>
    ): ''}
        <h3 class="text-3xl uppercase text-center">Viernes 22</h3>
        <div class="text-xl text-center">Residencia de Estudiantes <span class="text-sm">(On-Line)</span></div>
        <hr class="my-4" />
        <Schedule day="friday"/>

        <hr class="my-12" />

        <h3 class="text-3xl uppercase text-center mt-8">Sábado 23</h3>
        <div class="text-xl text-center">Colegio "Estudio" <span class="text-sm">(Presencial y On-Line)</span></div>
        <hr class="my-4" />
        <Schedule day="saturday"/>
    </div>

    { congressEvaluation.display ? (
    <div class="text-center py-8 mb-8">
        <a class="p-4 bg-enap2 text-white hover:bg-green-600 cursor-pointer text-xl" target="_blank" href={congressEvaluation.url}>Evaluación del Congreso ENAP</a>
    </div>
    ): ''}
</div>
</BaseLayout>
